## org.apache.bcel.verifier.structurals
Class Frame

    java.lang.Object
      org.apache.bcel.verifier.structurals.Frame

    public class Frame

extends Object

This class represents a JVM execution frame; that means, a local variable array and an operand stack.

Version:
  $Id: Frame.java 386056 2006-03-15 11:31:56Z tcurdt $

Field Summary
`protected static UninitializedObjectType` `_this` For instance initialization methods, it is important to remember which instance it is that is not initialized yet.

Constructor Summary
`Frame(int maxLocals, int maxStack)`
`Frame(LocalVariables locals, OperandStack stack)`

Method Summary
`protected Object` `clone()`
`boolean` `equals(Object o)`
`Frame` `getClone()`
`LocalVariables` `getLocals()`
`OperandStack` `getStack()`
`int` `hashCode()`
`String` `toString()` Returns a String representation of the Frame instance.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _this

    protected static UninitializedObjectType _this

  For instance initialization methods, it is important to remember which instance it is that is not initialized yet. It will be initialized invoking another constructor later. NULL means the instance already *is* initialized.

Constructor Detail

### Frame

    public Frame(int maxLocals,
                 int maxStack)

### Frame

    public Frame(LocalVariables locals,
                 OperandStack stack)

Method Detail

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`

### getClone

    public Frame getClone()

### getLocals

    public LocalVariables getLocals()

### getStack

    public OperandStack getStack()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a String representation of the Frame instance.

  Overrides:
    `toString` in class `Object`

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.